DX NetOps Manager

Expand all | Collapse all

Known Issue: Spectrum 9.4.3 - Linux - HTTP Status 500 - Unable to compile class for JSP

  • 1.  Known Issue: Spectrum 9.4.3 - Linux - HTTP Status 500 - Unable to compile class for JSP

    Posted 08-21-2015 11:04 AM

    Hello,

     

    Support have identified an issue where the OneClick console cannot be launched after upgrading to 9.4.3.

     

    A tecdoc has already been written up / approved and is pending publication as a priority to advise on this, but to increase awareness and get this out among the Spectrum community below is the content of the pending tecdoc.

     

    Regards

     

    Tecdoc content:

     

    Error "HTTP Status 500 - Unable to compile class for JSP" error while connecting to OneClick server after upgrading to 9.4.3


    A problem has been identified after upgrading to Spectrum 9.4.3 whereby you may see the above error when trying to launch the OneClick console.


    The problem occurs as a result of old versions of tomcat jar files ecj*.jar being present in the $SPECROOT/tomcat/lib directory, which are not compatible with Java version 8 which ships with Spectrum 9.4.3.


    The solution is a follows:


    1. Stop Tomcat process.


    2.Remove all old versions of ecj*.jar files located in the $SPECROOT/tomcat/lib directory leaving only the current version of this file:

     

    ecj-4.4.jar


    3. Rename $SPECROOT/tomcat/work directory (it will be recreated on tomcat restart).


    4. Start Tomcat.

     

    You should now be able to launch the OneClick console.



  • 2.  Re: Known Issue: Spectrum 9.4.3 - Linux - HTTP Status 500 - Unable to compile class for JSP

    Posted 08-21-2015 12:52 PM

    Dear all,

    this problem could arise on all supported platforms - and we saw this on Windows- and Linux-Servers. But also we see many successful upgrades to CA Spectrum R9.4.3.

    Please ensure all CA Spectrum services (ahead of the SRAdmin) are truly stopped.  Cheers, Joerg